/**
 * ModServ IRC Services
 * Version 2009
 * Copyright (C) 2007, 2008 Christian Jurk <commx@commx.ws>
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 3 of the License,
 * or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */

#include <QApplication>
#include <MS_Main.h>

int main(int argc, char **argv) {
  QApplication Application(argc, argv, false);

  Application.setApplicationName(QString("ModServ IRC Services"));
  Application.setApplicationVersion(QString("3.0.34"));

  globalMain = new MMainInstance;
  globalMain->setApplication(&Application);
  globalMain->setConfigFile(MSTR_DEFAULTCONFIG);
  globalMain->setLogFile(MSTR_LOGFILE);
  globalMain->parseArguments();
  globalMain->init();

  return Application.exec();
}
